/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#include "stdafx.h"
#include "resource.h"
#include "IO/GLIgesImporter.h"
#include "mgIges/IgesIfstream.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CGLIgesImporter::CGLIgesImporter()
	 : CGLFileImporter(IDS_FILTER_IGES)
{
}

bool CGLIgesImporter::Load(MGGroup& group){
	MGIgesIfstream stream(GetFileName());
	stream >> group;
	return true;
}
